import 'package:flutter/material.dart';
import 'package:zhiying_base_widget/pages/login_page/model/login_user.dart';
import 'package:zhiying_comm/util/empty_util.dart';

///
/// 用户信息
///
class UserInfoNotifier with ChangeNotifier {
  LoginUser userInfo;

  /// 更新用户数据
  void setUserInfo(LoginUser loginUser) {
    print('${loginUser.toString()}');
    this.userInfo = loginUser;
    // 缓存数据 TODO

  }

  /// 退出登陆
  void unLogin(){
    this.userInfo = null;
    // 清除缓存数据 TODO
  }

  /// 获取登陆数据
  LoginUser getLoginUserInfo(){
    if(null != userInfo){
      return userInfo;
    }
    // TODO 需要读取缓存的数据？
    return null;
  }


}
